"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isReadable = exports.readable = void 0;
// external
const fs_accessible_1 = __importStar(require("@bevry/fs-accessible"));
/** Returns a Promise that rejects with an error if the path is not readable. */
function readable(path) {
    return (0, fs_accessible_1.default)(path, fs_accessible_1.R_OK);
}
exports.readable = readable;
exports.default = readable;
function isReadable(path) {
    if (Array.isArray(path)) {
        return Promise.all(path.map((i) => isReadable(i)));
    }
    return (0, fs_accessible_1.isAccessible)(path, fs_accessible_1.R_OK);
}
exports.isReadable = isReadable;
